<?php

namespace App\Models;

use Database\Factories\AdminFactory;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Laravel\Sanctum\HasApiTokens;

class Admin extends BaseModel
{
    use HasApiTokens;
    use HasFactory;

    protected $guard_name = 'api';

    protected static function newFactory(): AdminFactory
    {
        return AdminFactory::new();
    }

    public function getTableName(): string
    {
        return 'admins';
    }
}
